				HISTORY LIST LspCAD

The list below shows new features and the bugs that have been fixed for each release, 
(Pro) = Feature only avalable in LspCAD professional

LspCAD 5.25 Build 2003-03-04
- Box utility
  - Parallel/series connection of many drivers resulted in wrong results     with passive XO's 
  - File | New did not set all parameters to undef.

LspCAD 5.25 Build 2002-11-26
- Filter utility
  - Simple filter crash problem fixed.
  - Highest emulator order increased to 30
- Box utility
  - Active filter transfer functions was accidentially applied twice

LspCAD 5.25 Build 2002-09-20
- Filter utility
  - Network optimizer crash if target imported by means of Browse button

LspCAD 5.25 Build 2002-09-19
- In general
  - Some program crash bugs and potential program crash hazards removed
- Box utility
  - Erroneous implementaion of passive filter
- Filter utility
  - Emulator crashed if referenced .wav file was renamed or moved

LspCAD 5.25 Build 2002-09-15
- Filter utility
  - Simulation of active filter type 8 was wrong, bug was introduced in release 5.25

LspCAD 5.25 Build 2002-09-06
- Filter utility
  - Odd scaling problem occured when components was modified
  - 1st order active BP filter added (only component mode)	

LspCAD 5.25 Build 2002-08-30
- Box utility
  - Filter transfer function was applied twice
  - Total SPL phase not updated correctly when filter was in use.
  - Passive components in filter affected Power amp output voltage graph
  - Now possible to import transfer functions in the filter section for the 
    box utility

LspCAD 5.25 Build 2002-08-27
- Filter utility
  - Program crashed if saved immediately after new project created or HP/LP 
    wizard invoced.

LspCAD 5.25 Build 2002-08-23
- Official non beta release
- General
  - Cursor reading moved to a status bar in the bottom of the main window

LspCAD 5.23 -- 5.25 (working copies and beta release) build 2002-06-13,2002-07-08,2002-08-16,2002-08-19
- Important!
  This is beta so bugs may exist
- General
  - Tooltip for gadgets is now working properly	
  - Prompt on recall makes it possible to recall a subset of the stored parameters
  - Cursor window removed, cursor is now visible in the lower status bar.
  - (Pro) Possible to edit component values directly in the schematic windows
  - (Pro) Possible to add user comment for each active crossover filter section
- Box utility
  - Generator resistance can now be set in the general settings dialog, this is only used
    in the table lookup functions.
  - Unit data filenames are stored with the sets, makes it simpler to test different drivers
    for a given box and or filter quickly.
  - (Pro) Bl(x) Cms(x) modeling improved with possibility to enter Bl(x) and Cms(x) curves 
  - (Pro) Possible to set a maximum output voltage from power amplifier.
- Filter utility
  - Live update anomalies fixed, live update option for the system optimizer.
  - (Pro) Delay compensation of imported SPL data files.
  - Variable gain 2nd order sallen key active filters now possible, wizard updated to enable both 
    unity gain/equal component 2nd order active filters. 
    With equal component two additional resistors, R3 and R4, are available to control the Q/gain. 
  - System optimizer
    - (Pro) Tolerance limit selectable when locking the xo frequencies.
    - (Pro) A desired gap (with tolerance) between the network contributions and the target response is 
      selectable to steer the optimization even more.
  - Display precision in components for active filters increased by one digit. 
  - (Pro) Parameter mode selectable for active filters, makes it possible to set Fo, Q etc directly
    instead of having to fiddle with the components.
  - (Pro) Emulator
   - VU meters for each network
   - Better interaction with multimedia soundcards, makes it possible to use e.g 5.1 ch soundcards 
     such as the Creative Labs SB Extigy for emulation
   - Can now utilize the superinterleave property that exist for some professional audiocards
     such as the Echo Audio cards
   - Circular convolution implemented and working
   - Cable resistance and inductance can be entered in the emulator settings
      
LspCAD 5.22 Build 2002-04-15
- Filter utility
  - Log sing: error when passive allpass filters was used

LspCAD 5.22 Build 2002-03-19
- Box utility
  - room & cabinet preferences was in an inconsistent state after upgrade to release 5.22.
    Remove the file roomcabi.prf in the LspCAD folder before you start LspCAD again

LspCAD 5.22 Build 2002-03-05
- Filter utility
  - (Pro version) Update bug if common network included in network optimization fixed

LspCAD 5.22 Build 020218
- General
  - Drag and drop of files into LspCAD implemented. It is now possible to drag/drop files 
    that are imported or loaded into LspCAD, this applies to measured data, project files, 
    snapshot files wav files...
- Box utility   
  - Filter response window displays response of both active and passive parts of filter networks
  - Up to 12 drivers in a box can be simulated
  - (Pro version) Room & Cabinet response can be optimzed
  - Presented impedance was erroneous with passive XO and several drivers.
- Filter utility
  - (Pro version) Transfer function can be imported in network dialogs, makes it 
    possible to e.g emulate other crossovers than those designed in LspCAD. Other 
    applications are inclusion of transfer function of already made filters such as 
    subsonic filters for subwoofers et.c.
  - (Pro version) Possible to view Energy-time (selectable in general dialog).
  - Possible to set user notes in project, visible in the Schematics/overview window
  - Emulator, an extra sample delay is added to the filter target response, this will 
    increase the accuracy of the digital filters a little more
  - Division by zero bugs found and fixed.

LspCAD 5.21 Build 011007
- General
  - File import problem from network drives fixed.
- Box utility
  - Improved voice coil inductance model, makes simulations of high 
    inductance drivers even more reliable.
  - Sound pressure level changed to represent half space (2pi) conditions, i.e the 
    readings are 6dB higher than in previous releases.
- Filter utility
  - Network gains not updated properly after system otimizations.

LspCAD 5.21 Build 010914
- General
  - Import routine modified to handle Linear X LMS version 4.x files.
- Filter utility
  - Snapshot, graph y-axis labels missing when level below 0dB.

LspCAD 5.21 Build 010904
- General
  - justMLS can be launched from LspCAD.
- Box utility
  - Improved port compression (nonlinearity) simulation.
  - Number of branches increased to 4 (for standard version) in filter section.
- Filter utility
  - Loudspeaker symbol missing for purely active network.
  - (Pro version) Possible to view the total driver impedance load in the same 
    diagram as the network impedance, useful if one wish to see if the network is 
    "sucking level" by lowering its impedance.

LspCAD 5.20 Build 010826
- Box utility
  - file version was not set correctly in saved projects, this caused a 
    "corrupt file" message. 

LspCAD 5.20 Build 010821
- Filter utility
  - Optimization dialogs rearranged to fit better into a 800x600 diplay
  - Some rare cases where the graphs was not updated.

LspCAD 5.20 Build 010820
- Filter utility
  - Cosmetic bug in setting of target SPL level
  - Rectangular shaped drivers, size was doubled if values was modified.
  - Graphs not correctly updated when series filter components was changed.

LspCAD 5.20 Build 010816
- General
  Official release. This is merged release of the standard and professional versions of 
  LspCAD.
- Box utility
  - Bug in the nonlinear Cms simulation (progressive stiffness)

LspCAD 5.20 Build 010812 (official beta)
- General
  Fourth beta release, mainly changes and bugfixes of cosmetic nature.

LspCAD 5.20 Build 010807 (official beta)
- General
  Third beta release, works both as standard and professional 

LspCAD Pro 5.11 Build 010807 (beta)
- General
  Alot of additional bugfixes

LspCAD Pro 5.11 Build 010803 (beta)
- General
  This release is changed in many places, therefore only the most prominent changes are mentioned
- Filter utility
  - Maximum number of branches now increased to 20+4, each branch (except the shunt branches or the 
    driver units) can be either active or passive. Moreover a passive branch can be either series 
    or shunt (Hope this will help you out John :-).
  - The wizards are improved substantially.
- Box utility
  - Filter/EQ module incorporated in the box utility. The filter can be combined active/passive. 
    An improved optimizer serves for simulataneous optimization of filter and box parameters.
  - Sets added.


LspCAD Pro 5.10 Build 010714
- Filter utility
  - Off axis simulation and the new option to set the driver orientation for 
    each driver. X and Y axis was swapped.
- Box utility
  - Erroneous results when two or more ports used in ported boxes (problem with end correction), 
    this problem was most prominent for ports that had a large area and short length.
  - Imported data in driver unit configuration dialog caused erroneous results in 
    "Room & Cabinet Impact" diagram for the closed box model.
  - Size of listening room increased in "Room & Cabinet" feature


LspCAD Pro 5.10 Build 010528
- General
  - Possible objectfile mix in build 010507 made it impossible to export data.
- Filter utility
  - Bugfixes in drawing of schematic fixed.
  - Erroneous use of components in networks when recall buttons caused switch from 
    active to passive networks.
  - Le in driver dialog did not affect the impedance when driver data not imported.
  - Emulator improvement, a one sample delay is added to all channels in the filter matching
    algorithms, this leads to a dramatic improvement in the ability to match the filters 
    espcially for treble units.
  - Embarassing! The level should decrease by 6dB for every doubling of the distance 
    (point source behavior), in previous releases the level decreased by 12dB per doubling!
    Thanks to John K. for this bugreport.  

LspCAD Pro 5.10 Build 010507 (Final release)
- Filter utility
  - Bug in step reponse computation fixed. Bug introduced in 5.10.
  - Ordinate scale missing in step response window in some occasions.
- See below for the other stuff added since release 5.06

LspCAD Pro 5.10 Build 010503 (Official Beta)
- Filter utility
  - Possible to set the drivers in arbitraty direction +/-30 degrees in X and Y axis
  - Polar plot can now be either absolute or normalized reading 
  - 100% CPU load bug in optimizers fixed, this bug caused the CPU usage reading to hit 100%
    when optimizers were opened, and stayed like this until the program was closed.
  - Filter music, problem with opening files ripped by Easy CD Creator fixed. 
  - Improved off axis modeling with phase lag dependent on angle and piston radius. 
    Please remember that it is a model after all...
  - Series filters. If you create an advanced passive xover you get the option to 
    select either series or parallel topology, once started you have the opportunity 
    to mix series/parallel filters.
  - 2nd order highpass equalization filter (active) also known as Linkwitz transform, 
    implemented with help from Mr Siegfried Linkwitz.
  - A few wizards will help you to get correct values for e.g series resonance circuits.
  - Hot buttons for e.g Schematic and Summned freq. response in network dialog brings the 
    graphs on top.
  - System optimizer, possibility to lock the xo frequency/frequencies, and an "avoid 
    neg. interference" checkbox helps you avoid that the drivers counteract one another
  - Square wave stimuli possible for the time domain response (see general dialog), 
    this feature will be improved with an option to set a "window size" later. 
    Note that the caption of the time domain graph will show the actual frequency, 
    which depends on the sampling rate and the IFFT size.
  - Possible to set a mic angle in the general dialog
  - Schematic window displays the networks and also an overview.
- Box utility: 
  - Simulation of Le and directivity effect upon the response, a first effort to make the 
    box simulation more realistic. The directivity feature (not available for bandpass boxes) 
    is a way to model that not all drivers follow the rules for driver directivity.

LspCAD Pro 5.07, 5.08, 5.09
- Inofficial Beta releases.

LspCAD Pro 5.06 Build 010214
- In general
  - Offset error in presented phase response in diagram, the internal calculation and the exported 
    data was correct though.
- Box utility
  - Small bug in driver unit editor, both passive radiator and full range could be selected.
- Filter utility
  - The Windows WAV format has once again proven that it is a work of pure hackers!. 
    Small fix added to cope with missing "data" chunk when opening WAV files in the crossover
    emulator.
  - Polarplot title now describes which direction (vertical/horizontal) is assumed


LspCAD Pro 5.06 Build 001206
- In general
  - Minor bug in cursor value reading
  - Possible to load project files created with LspCAD std ver 4.11
- Box utility
  - Version 5.05 missed to save Qmp of passive radiator.
- Filter utility
  - Program crash when opening new project while emulator is running
  - A few changes of cosmetic nature 
  - Clicksound when playing a wav file removed

LspCAD Pro 5.05 Build 001120
- Filter utility
  - Buffer overwrite in illegal menory area (xover emulator) could have been caused of program crash
  - System optimizer with option to set limit on minimum impedance
  - On screen buttons make it possible to access network settings and also to store/recall settings faster
  - Up to 8 network settings can be stored/recalled.
  - Screen update proplem in optimize dialog fixed
- Box utility
  - Passive radiator box gives option to save/open data for passive radiator 

LspCAD Pro 5.04 Build 001024
- In general
  - Cursor y-values was incorrect.
- Filter utility
  - Program crash if crossover freqs. set to 0 in net optimize dialog

LspCAD Pro 5.04 Build 001009
- In general
  - Phase data for impedance diagram now spans +/-90 degrees full scale.
- Filter utility
  - Wave input for crossover emulator did not always work.
   

LspCAD Pro 5.04 Build 001004
- In general 
  - Crash bug when printing snapshot window
- Filter utility
  - Resource error when setting user note for off axis surface plot
  - Polar plot

LspCAD Pro 5.03 Build 000925
- Filter utility
  - ESR added to C // (L+R1) type of branch, resulting in a (L+R1)//(C+R2) branch
	
LspCAD Pro 5.02 Build 000918
- Filter utility
  - Playback of soundcard input did not function at all.
	
LspCAD Pro 5.02 Build 000904
- Filter utility
  - Mysterious "Log sing" error sometimes when optimize dialog opened. Reason was 
    a previous deselection of off axis rays that did not casue an update of the optimize angle.

LspCAD Pro 5.02 Build 000818
- Filter utility
  - Impulse/step response can be viewed, selectable in the General settings dialog
  - When a branch is "double clicked" a popup menu will show up that allows the user to select 
    branchtype and also to copy/paste branches within the crossover project.
  - Active and passive 1st order allpass circuit implemented
  - Support for Echo Audio Darla/Gina/Layla 8-10ch soundcards in the crossover emulator.
- Box utility
  - Greatly improved performace of the Optimize by frequency fit.


LspCAD Pro 5.01 Build 000713
- In general
  - Crash problem when print diagrams (discovered when test run under windows 2000)
- Filter utility
  - Off axis diagrams not updated after optimization run.
  - Code for crossover emulator was executed although emulator was closed, 
    this caused the program to run much slower.
  - Crossover emulator. Gain scale did not affect output level if polarity was inverted for
    a network (only a problem for 1way and 2way, 3way and 4way was OK though).

LspCAD Pro 5.0 Build 000610
- First release of professional version, derived from LspCAD 4.10


